---
updatedAt: 2026-03-06T21:46:41.000Z
agentTools:
  projectIndex: https://developers.hrflow.ai/llms.txt
---

# 🧠 Ask questions to a Job indexed in a Board

This endpoint allows asking a question based on a Job object.

> 📘 Prerequisites
>
> 1. [✨ Create a Workspace](https://hrflow.ai/signup)
> 2. [🔑 Get your API Key](https://developers.hrflow.ai/docs/api-authentification)
> 3. [🔌 Create a Board](https://developers.hrflow.ai/docs/connectors-board)
> 4. [💾 Index a Job](https://developers.hrflow.ai/reference/index-a-job)
> 5. [🧠 Ask a Job](https://developers.hrflow.ai/docs/jobs-asking)

## Request headers

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Value
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        <code>X-API-KEY</code>
      </td>

      <td>
        Your API Key.
      </td>
    </tr>

    <tr>
      <td>
        <code>X-USER-EMAIL</code>
      </td>

      <td>
        Your HrFlow\.ai account's email.
      </td>
    </tr>
  </tbody>
</Table>

> 🚧 Query Parameters
>
> The <code>key</code> and  the <code>reference</code>  can not be null at the same time in the Query Parameters.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "website-api",
    "version": "2.3"
  },
  "servers": [
    {
      "url": "https://api.hrflow.ai/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY",
        "x-default": ""
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "X-USER-EMAIL"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/job/asking": {
      "get": {
        "summary": "🧠 Ask a question to a Job indexed in a Board",
        "description": "This endpoint allows asking a question based on a Job object.",
        "operationId": "ask-a-question-to-a-job-indexed-in-a-board",
        "parameters": [
          {
            "name": "board_key",
            "in": "query",
            "description": "The key of the Board associated to the job.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "key",
            "in": "query",
            "description": "The Job unique identifier",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "reference",
            "in": "query",
            "description": "The Job reference chosen by the customer.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "questions[]",
            "in": "query",
            "description": "Questions based on the queried job",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "default": [
                "What is the job title?",
                "Is there a start date for this position?"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"code\": 200,\n  \"message\": \"Job asking\",\n  \"data\": [\n    \"AI Researcher Intern\"\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Job asking"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "AI Researcher Intern"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"code\": 400,\n  \"message\": \"Missing question parameter question:\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Missing question parameter question:"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {},
              "examples": {
                "Request Example": {
                  "value": {
                    "board_key": "21ca4adf5f7c4e599bb20fd80835ea328b465126",
                    "key": "d3acd84e44cf3d9594662be632b4c43e0c8d332a",
                    "reference": "NAN3-250130"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```